[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: lablgtk version?



On Wed, Jun 11, 2008 at 01:07:35PM -0400, Jonathan S. Shapiro wrote:
> I'm a bit confused about the ocaml-lablgtk package. First, this appears
> to be lablgtk2 rather than lablgtk, which leads me to wonder whether the
> package is correctly named.

When I originally repackaged lablgtk2 I named the package
ocaml-lablgtk2, but there was consensus [where? - IRC?] to leave the
name as ocaml-labgtk.  Unless you want to install both labgtk1 &
lablgtk2 this shouldn't be a problem, although it is slightly
inconsistent with Debian.

> Second, this appears to be version 2.6, while the current upstream
> is 2.10.1. This leads me to wonder (given that I know you just spun
> this) whether there may be a good reason to stick with the earlier
> revision for now?

Yes, because both binary and source break when you upgrade.  Binary
breakage requires us to rebuild all dependent packages, which is
time-consuming.  Source breakage is usually more complicated.

We have version 2.10.1 in Rawhide, and 2.10.0 in Fedora 9 however, so
perhaps using a later version of Fedora is an option?  You can also
try using packages from Fedora 9 and/or Rawhide in Fedora 8 -- just
fiddle with /etc/yum.repos.d/* to enable the later repository.

Rich.

-- 
Richard Jones, Emerging Technologies, Red Hat  http://et.redhat.com/~rjones
virt-df lists disk usage of guests without needing to install any
software inside the virtual machine.  Supports Linux and Windows.
http://et.redhat.com/~rjones/virt-df/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]